# Load libraries
from machine import Pin
from time import sleep
import ADS1115

# Initialization of the ADC
ADS1115.init(0x48, 1, 4, False)
# Initialization of GPIO18 as input
digital = Pin(18,Pin.IN, Pin.PULL_UP)

# Endless loop for reading out the ADC
while True:
    Analog = ADS1115.read(0)
    # Conversion from analog value to voltage
    Volt = ADS1115.raw_to_v(ADS1115.read(0))
    Dig = digital.value()

    # Serial output of the analog value and the calculated voltage
    print("Analog value: " + str(Analog))
    print("Analog voltage value: " + str(An) + " V")

    # Query whether the digital value has changed with serial output
    if Dig == 1:
        print("Limit: reached.")
        print("----------------------------------------")
    else:
        print("Limit: not yet reached.")
        print("----------------------------------------")
    sleep(2)